<template>
  <div class="container--card" @click="emmitClick">
    <figure>
      <img :src="img" :alt="name">
    </figure>
    <section>
      <div class="justify-between">
        <p class="title">{{name}}</p>
        <p>Rating: <span>{{ratingAverage}}</span></p>
      </div>
      <p><strong>Horario: </strong></p>
      <ul>
        <li
          class="container--card__days"
          v-for="(day, index) in scheduleDays"
          :key="index"
        >
        <p>{{day}} - {{scheduleTime}}</p>
        </li>
      </ul>
      <p><strong>Duración de capitulo: </strong> {{getTime}}</p>
    </section>
  </div>
</template>

<script>
export default {
  name: 'Card',
  props: {
    name: String,
    img: String,
    ratingAverage: Number,
    scheduleDays: Array,
    scheduleTime: String,
    runtime: Number,
    serieId: Number

  },
  methods:{
    emmitClick() {
      this.$emit('click', this.serieId)
    },
    caculateTime(time){
      const hourInMinutes = 60
      const hours = Math.floor(time / hourInMinutes).toString().padStart(2, "0")
      const minutes = (time % hourInMinutes).toString().padStart(2, "0")
      return time < 60
      ? time
      : `${hours} : ${minutes}`
    },
  },
  computed: {
    getTime() {
      return this.caculateTime(this.runtime)
    }
  }

}
</script>

<style lang="sass" scoped>
.justify-between
  display: flex
  justify-content: space-between
  padding-top: .5rem
  align-items: center
ul
  list-style: none
  padding: 0
.container--card
  position: relative
  color: white
  font-size: .8rem
  cursor: pointer
  margin-bottom: 0.9rem
  section
    position: absolute
    height: 90px
    bottom: 0
    padding: 1.5rem .4rem .4rem .4rem
    background: linear-gradient(rgba(0, 0, 0, 0) 0%, rgba(0, 0, 0, .4) 25% , black)
    text-align: left
    width: calc( 210px - .8rem )
    overflow: hidden
    .container--card__days
      text-align: left
    p
      margin: 0
    .title
      font-weight: bold
      font-size: 1rem
  figure
    height: 295px
    width: 210px
</style>